# Operations API documentation version 1.0

### OPERATION - EXPORT OPERATION

API for the export data base operation.

#### /operation/export/{electionEventId} post

post

export data base operation by election event id to path

#### post /operation/export/{electionEventId}

export data base operation by election event id to path

### URI Parameters

- electionEventId: required (string)

  The identifier of the election event

  Examples:

      a9d805a0d9ef4deeb4b14838f7e8ed8a

### Body

Media type: application/json

Type: object

Properties

- path: required (string)

Examples:

    {
      "path": "C:/Users/username/sdm"
    }

## HTTP status code 200

If the operation has successfully completed.

## HTTP status code 500

If the request execution fails.

### Body

Media type: application/json

Type: object

Properties

- error: required (one of 99, 100, 101, 102, 103, 104, 105, 106, 107, 4000, 4001, 4002, 4003, 4004)
- message: (string)
- exception: (string)

Examples:

    {
      "error": 4002,
      "message": "The system cannot find the file specified",
      "exception": "java.io.IOException"
    }

### OPERATION - IMPORT OPERATION

API for the import data base operation.

#### /operation/import post

post

import data base operation from path

#### post /operation/import

import data base operation from path

### Body

Media type: application/json

Type: object

Properties

- path: required (string)

Examples:

    {
      "path": "C:/Users/username/sdm"
    }

## HTTP status code 200

If the operation has successfully completed.

## HTTP status code 500

If the request execution fails.

### Body

Media type: application/json

Type: object

Properties

- error: required (one of 99, 100, 101, 102, 103, 104, 105, 106, 107, 4000, 4001, 4002, 4003, 4004)
- message: (string)
- exception: (string)

Examples:

    {
      "error": 4002,
      "message": "The system cannot find the file specified",
      "exception": "java.io.IOException"
    }

### OPERATION - EXTENDED AUTHENTICATION EXTRA STEPS

API for generating the extra files necessary for extended authentication generation

#### /operation/generate-ea-structure/{electionEventId} post

post

generating the extra files necessary for extended authentication

#### post /operation/generate-ea-structure/{electionEventId}

generating the extra files necessary for extended authentication

### URI Parameters

- electionEventId: required (string)

  The identifier of the election event

  Examples:

      a9d805a0d9ef4deeb4b14838f7e8ed8a

### Body

Media type: application/json

Type: object

Properties

- privateKeyInBase64: required (string)

Examples:

    {
      "privateKeyInBase64": "NDQ0NDQ0NDQ0NDQ0NA"
    }

## HTTP status code 200

If the operation has successfully completed.

## HTTP status code 500

If the request execution fails.

### Body

Media type: application/json

Type: object

Properties

- error: required (one of 99, 100, 101, 102, 103, 104, 105, 106, 107, 4000, 4001, 4002, 4003, 4004)
- message: (string)
- exception: (string)

Examples:

    {
      "error": 4002,
      "message": "The system cannot find the file specified",
      "exception": "java.io.IOException"
    }

### OPERATION - GENERATE PRE VOTING OUTPUTS

API for generating the pre voting outputs

#### /operation/generate-pre-voting-outputs/{electionEventId} post

post

generating the pre voting outputs

#### post /operation/generate-pre-voting-outputs/{electionEventId}

generating the pre voting outputs

### URI Parameters

- electionEventId: required (string)

  The identifier of the election event

  Examples:

      a9d805a0d9ef4deeb4b14838f7e8ed8a

### Body

Media type: application/json

Type: object

Properties

- privateKeyInBase64: required (string)

Examples:

    {
      "privateKeyInBase64": "NDQ0NDQ0NDQ0NDQ0NA"
    }

## HTTP status code 200

If the operation has successfully completed.

## HTTP status code 500

If the request execution fails.

### Body

Media type: application/json

Type: object

Properties

- error: required (one of 99, 100, 101, 102, 103, 104, 105, 106, 107, 4000, 4001, 4002, 4003, 4004)
- message: (string)
- exception: (string)

Examples:

    {
      "error": 4002,
      "message": "The system cannot find the file specified",
      "exception": "java.io.IOException"
    }

### OPERATION - GENERATE POST VOTING OUTPUTS

API for generating the post voting outputs

#### /operation/generate-post-voting-outputs/{electionEventId}/{ballotBoxStatus} post

post

generating the post voting outputs

#### post /operation/generate-post-voting-outputs/{electionEventId}/{ballotBoxStatus}

generating the post voting outputs

### URI Parameters

- electionEventId: required (string)

  The identifier of the election event

  Examples:

      a9d805a0d9ef4deeb4b14838f7e8ed8a

- ballotBoxStatus: required (one of ready_to_mix, decrypted, counted, tallied)

  The ballot box status

  Examples:

      ready_to_mix

### Body

Media type: application/json

Type: object

Properties

- privateKeyInBase64: required (string)

Examples:

    {
      "privateKeyInBase64": "NDQ0NDQ0NDQ0NDQ0NA"
    }

## HTTP status code 200

If the operation has successfully completed.

## HTTP status code 500

If the request execution fails.

### Body

Media type: application/json

Type: object

Properties

- error: required (one of 99, 100, 101, 102, 103, 104, 105, 106, 107, 4000, 4001, 4002, 4003, 4004)
- message: (string)
- exception: (string)

Examples:

    {
      "error": 4002,
      "message": "The system cannot find the file specified",
      "exception": "java.io.IOException"
    }